Revision ca092af4 setup.py

b/setup.py
34 34
# or implied, of GRNET S.A.
35 35

  
36 36
from setuptools import setup
37
#from sys import version_info
37
from sys import version_info
38 38
import collections
39 39

  
40 40
import kamaki
......
42 42

  
43 43
optional = ['ansicolors',
44 44
            'progress>=1.0.2']
45
requires = ['objpool',
46
            'argparse']
45
requires = ['objpool']
46

  
47
if version_info[:1] == (2, 6):
48
    requires.append('argparse')
47 49

  
48 50
if not hasattr(collections, "OrderedDict"):  # Python 2.6
49 51
    requires.append("ordereddict")

Also available in: Unified diff